%define oname   childprocess

Name:       ruby-%{oname}
Version:    0.1.8
Release:    %mkrel 1
Summary:    Cross-platform ruby library for managing child processes
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/jarib/childprocess
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(yard)
BuildRequires: rubygem(jeweler)
BuildRequires: rubygem(ffi) >= 1.0.6
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
This gem aims at being a simple and reliable solution for controlling
external programs running in the background on any Ruby / OS combination.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

chmod 644 %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/%{oname}/*/process.rb
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.yardoc

%check
git init
rake spec

%clean
rm -rf %{buildroot}



%changelog
* Tue Apr 19 2011 shikamaru <shikamaru> 0.1.8-1.mga1
+ Revision: 88775
- new version 0.1.8

* Sat Feb 19 2011 shikamaru <shikamaru> 0.1.7-1.mga1
+ Revision: 54144
- add ffi to the list of buildrequires
- add jeweler to the list of buildrequires
- imported package ruby-childprocess


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.1.7-1
- Initial package
